/* Mengunci viewport agar halaman tidak scroll secara global */
html,
body {
  overflow: auto !important;
  overscroll-behavior: auto !important;
  font-family:
    -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial,
    sans-serif;
}

/* Mengatur tinggi container utama aplikasi */
.app-container {
  display: flex;
  flex-direction: column;
}

/* Navigasi Utama Aplikasi */
.app-sidebar-nav {
  width: 50px;
}

/* Kolom Daftar Konten (Tengah) */
.sidebar-left {
  width: 320px;
  min-width: 320px;
}

/* Area Kerja Utama (Kanan) */
.app-main-workspace {
  flex-grow: 1;
}

/* Utilitas untuk membuat area mandiri bisa di-scroll internal */
.scrollable-y {
  overflow-y: auto;
  height: 100%;
}

.nav-item.active {
  border: 0 var(--tblr-border-style) #066fd1;
  background-color: color-mix(
    in srgb,
    var(--tblr-blue-lt) calc(var(--tblr-bg-opacity, 1) * 100%),
    transparent
  ) !important;
  border-left-width: 4px;
}

#wrapper {
  overflow-x: hidden;
}

#sbleft {
  min-width: 300px;
  max-width: 300px;
  transition: all 0.3s ease;
}

#sbright {
  min-width: 300px;
  max-width: 300px;
  transition: all 0.3s ease;
}

.cart-items {
  max-height: calc(100vh - 350px);
  min-height: calc(100vh - 350px);
}

/* The class that hides the sidebar */
#sbleft.toggled {
  margin-left: -300px;
}

/* The class that hides the sidebar */
#sbright.toggled {
  margin-right: -300px;
}

.sticky-group {
  position: sticky;
  top: 0;
  z-index: 999;
}

.navbar {
  --tblr-navbar-padding-y: 0;
  min-height: 2rem;
}

.offcanvas-under-header {
  /* Height of your fixed header */
  top: 48px !important;
  height: calc(100vh - 100px) !important;
  /* Subtract header height from viewport height */
  width: 340px !important;
}

/* Optional: Adjust the backdrop position so it doesn't cover the header */
.offcanvas-backdrop {
  top: 48px !important;
  height: calc(100vh - 48px) !important;
}

.btn-group-sm > .btn,
.btn-sm {
  --tblr-btn-line-height: 0.6rem;
  --tblr-btn-icon-size: 1rem;
}

.ribbon-price {
  min-height: 1rem;
}

.img-cart {
  height: 70px;
  width: 70px;
}
